OGRE: Ogre::RenderSystemCapabilitiesManager Class Reference - OGRE Documentation

Public Member Functions | Static Public Member Functions | Protected Types | Protected Attributes | Static Protected Attributes

# Ogre::RenderSystemCapabilitiesManager Class Reference
[RenderSystem]

Class for managing RenderSystemCapabilities database for Ogre. More...

`#include <OgreRenderSystemCapabilitiesManager.h>`

Inheritance diagram for Ogre::RenderSystemCapabilitiesManager:
[legend]

List of all members.

## Public Member Functions
| RenderSystemCapabilitiesManager ()
| Default constructor.
virtual | ~RenderSystemCapabilitiesManager ()
| Default destructor.
void | parseCapabilitiesFromArchive (const String &filename, const String &archiveType, bool recursive=true)
RenderSystemCapabilities * | loadParsedCapabilities (const String &name)
| Returns a capability loaded with RenderSystemCapabilitiesManager::parseCapabilitiesFromArchive method.
void | _addRenderSystemCapabilities (const String &name, RenderSystemCapabilities *caps)
| Method used by RenderSystemCapabilitiesSerializer::parseScript.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Static Public Member Functions
static RenderSystemCapabilitiesManager & | getSingleton (void)
| Override standard Singleton retrieval.
static RenderSystemCapabilitiesManager * | getSingletonPtr (void)
| Override standard Singleton retrieval.
static RenderSystemCapabilitiesManager & | getSingleton (void)
static RenderSystemCapabilitiesManager * | getSingletonPtr (void)
## Protected Types
typedef map< String, RenderSystemCapabilities * > ::type | CapabilitiesMap
## Protected Attributes
RenderSystemCapabilitiesSerializer * | mSerializer
CapabilitiesMap | mCapabilitiesMap
const String | mScriptPattern
## Static Protected Attributes
static RenderSystemCapabilitiesManager * | ms_Singleton

## Detailed Description

Class for managing RenderSystemCapabilities database for Ogre.

Remarks:
  This class behaves similarly to other ResourceManager, although .rendercaps are not resources. It contains and abstract a .rendercaps Serializer

Definition at line 52 of file OgreRenderSystemCapabilitiesManager.h.

## Member Typedef Documentation

typedef map<String, RenderSystemCapabilities*>::type Ogre::RenderSystemCapabilitiesManager::CapabilitiesMap`[protected]`

Definition at line 115 of file OgreRenderSystemCapabilitiesManager.h.

## Constructor & Destructor Documentation

Ogre::RenderSystemCapabilitiesManager::RenderSystemCapabilitiesManager | ( |  | ) |

Default constructor.

virtual Ogre::RenderSystemCapabilitiesManager::~RenderSystemCapabilitiesManager | ( |  | ) | `[virtual]`

Default destructor.

## Member Function Documentation

void Ogre::RenderSystemCapabilitiesManager::_addRenderSystemCapabilities | ( | const String & | name,
|  | RenderSystemCapabilities * | caps |
| ) |  |  |

Method used by RenderSystemCapabilitiesSerializer::parseScript.

static RenderSystemCapabilitiesManager& Ogre::RenderSystemCapabilitiesManager::getSingleton | ( | void |  | ) | `[static]`

Override standard Singleton retrieval.

Remarks:
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

static RenderSystemCapabilitiesManager & Ogre::Singleton< RenderSystemCapabilitiesManager >::getSingleton | ( | void |  | ) | `[static, inherited]`

Definition at line 90 of file OgreSingleton.h.

static RenderSystemCapabilitiesManager* Ogre::RenderSystemCapabilitiesManager::getSingletonPtr | ( | void |  | ) | `[static]`

Override standard Singleton retrieval.

Remarks:
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

static RenderSystemCapabilitiesManager * Ogre::Singleton< RenderSystemCapabilitiesManager >::getSingletonPtr | ( | void |  | ) | `[static, inherited]`

Definition at line 92 of file OgreSingleton.h.

RenderSystemCapabilities* Ogre::RenderSystemCapabilitiesManager::loadParsedCapabilities | ( | const String & | name | ) |

Returns a capability loaded with RenderSystemCapabilitiesManager::parseCapabilitiesFromArchive method.

Returns:
  NULL if the name is invalid, a parsed RenderSystemCapabilities otherwise.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

void Ogre::RenderSystemCapabilitiesManager::parseCapabilitiesFromArchive | ( | const String & | filename,
|  | const String & | archiveType,
|  | bool | recursive = `true` |
| ) |  |  |

See also:
  ScriptLoader::parseScript

## Member Data Documentation

CapabilitiesMap Ogre::RenderSystemCapabilitiesManager::mCapabilitiesMap`[protected]`

Definition at line 116 of file OgreRenderSystemCapabilitiesManager.h.

RenderSystemCapabilitiesManager * Ogre::Singleton< RenderSystemCapabilitiesManager >::ms_Singleton`[static, protected, inherited]`

Definition at line 75 of file OgreSingleton.h.

const String Ogre::RenderSystemCapabilitiesManager::mScriptPattern`[protected]`

Definition at line 118 of file OgreRenderSystemCapabilitiesManager.h.

RenderSystemCapabilitiesSerializer* Ogre::RenderSystemCapabilitiesManager::mSerializer`[protected]`

Definition at line 113 of file OgreRenderSystemCapabilitiesManager.h.

The documentation for this class was generated from the following file:

- OgreRenderSystemCapabilitiesManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:59